Package: java.math

## [Java] Class BigInteger

- java.math.BigInteger

-     public class BigInteger
      extends Object

  GDK enhancements for BigInteger.

  displayName:
    BigInteger
  receiverFqcn:
    java.math.BigInteger

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `downto(Number to, Closure closure)` Iterates from this number down to the given number, inclusive, decrementing by one each time.
    `` | `public Number` | `power(Integer exponent)` Power of a BigInteger to an integer certain exponent.
    `` | `public BigInteger` | `power(BigInteger exponent)` Power of a BigInteger to a BigInteger certain exponent.
    `` | `public void` | `upto(Number to, Closure closure)` Iterates from this number up to the given number, inclusive, incrementing by one each time.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public void downto(Number to, Closure closure)

      Iterates from this number down to the given number, inclusive, decrementing by one each time.

      Parameters:
        `to` - the end number
        `closure` - the code to execute for each number
      Since:
        1.0

    - #### public Number power(Integer exponent)

      Power of a BigInteger to an integer certain exponent. If the exponent is positive, call the BigInteger.pow(int) method to maintain precision. Called by the '**' operator.

      Parameters:
        `self` - a BigInteger
        `exponent` - an Integer exponent
      Returns:
        a Number to the power of the exponent

    - #### public BigInteger power(BigInteger exponent)

      Power of a BigInteger to a BigInteger certain exponent. Called by the '**' operator.

      Parameters:
        `exponent` - a BigInteger exponent
      Returns:
        a BigInteger to the power of the exponent
      Since:
        2.3.8

    - #### public void upto(Number to, Closure closure)

      Iterates from this number up to the given number, inclusive, incrementing by one each time. Example:

          0.upto( 10 ) {
             println it
           }

      Prints numbers 0 to 10
      Parameters:
        `to` - the end number
        `closure` - the code to execute for each number
      Since:
        1.0